> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Template content for a Channel

> API to fetch content of a particular channel in a template group (live & draft versions).

<Warning>
  **Legacy API.** This is the older endpoint to fetch template content for a specific channel. We have released template 2.0 with variant support due to which the content structure and template APIs have changed. The new APIs are listed under [Management API → Templates](/reference/get-template-v2).

  This endpoint continues to return the live and draft content of templates created **before 14 April 2026**. Templates created on or after that date are only available through the new APIs.
</Warning>


## OpenAPI

````yaml GET /v1/template/{template_slug}/channel/{channel_slug}
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/template/{template_slug}/channel/{channel_slug}:
    get:
      summary: Fetch Template content for a channel
      description: >-
        API to fetch content of a particular channel in a template group (live &
        draft versions).
      operationId: fetch-template-details-channel
      parameters:
        - name: template_slug
          in: path
          description: >-
            Template group slug you want to fetch content details. You'll get
            the template slug by clicking on copy button next to template group
            name on SuprSend dashboard -> template details page.
          schema:
            type: string
          required: true
        - name: channel_slug
          in: path
          description: >-
            add one of the template channels  - `email`, `sms`, `whatsapp`,
            `inbox`, `slack`, `androidpush`, `iospush`, `webpush`
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1121
                    channel:
                      name: In-App Inbox
                      slug: inbox
                      is_template_approval_needed: false
                    is_active: true
                    is_enabled: true
                    created_at: '2022-06-18T04:53:58.690274Z'
                    updated_at: '2025-01-21T11:49:23.247217Z'
                    disabled_languages: []
                    versions:
                      - id: 69989
                        templates:
                          - id: 74660
                            language:
                              name: English
                              slug: en
                            is_enabled: true
                            approval_status: auto_approved
                            content:
                              ...: null
                            created_at: '2024-09-15T04:33:22.727005Z'
                            updated_at: '2024-09-15T04:36:56.103368Z'
                            updated_by:
                              name: Siva
                              email: katta.sivaram@suprsend.com
                            approval_cycle: null
                            is_approval_needed: false
                            is_cloned_from_last_version: false
                        status: active
                        version_tag: '17'
                        created_at: '2024-09-15T04:33:22.714274Z'
                        updated_at: '2024-09-15T04:36:58.752580Z'
                        updated_by:
                          name: Siva
                          email: katta.sivaram@suprsend.com
                        version_tag_user: v1
                        published_languages:
                          - en
                        apparent_published_languages:
                          - en
                        system_approval_info: {}
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: template id generated by SuprSend
                  channel:
                    type: object
                    properties:
                      name:
                        type: string
                        description: channel type
                        example: In-App Inbox
                      slug:
                        type: string
                        description: unique slug of the channel
                        example: inbox
                      is_template_approval_needed:
                        type: boolean
                        description: >-
                          is true for channels like whatsapp where template
                          needs to be pre-approved for sending notification
                        example: false
                  is_active:
                    type: boolean
                    description: active templates have atleast 1 live version
                  is_enabled:
                    type: boolean
                    description: disabled channels are not picked for sending the message
                    example: true
                  created_at:
                    type: string
                    format: date-time
                    example: '2023-01-25T04:53:40.011112Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2023-07-27T14:55:23.939438Z'
                  disabled_languages:
                    type: array
                    items:
                      type: string
                  versions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 10830
                        templates:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 11876
                              language:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    description: language name
                                    example: English
                                  slug:
                                    type: string
                                    description: language code
                                    example: en
                              is_enabled:
                                type: boolean
                                description: >-
                                  whether the template is enabled for this
                                  language
                                example: true
                              approval_status:
                                type: string
                                description: >-
                                  approval status of the template
                                  (auto_approved, pending, rejected)
                                example: auto_approved
                              content:
                                type: object
                                description: json content of the template
                              created_at:
                                type: string
                                format: date-time
                                description: timestamp of template creation
                              updated_at:
                                type: string
                                format: date-time
                                description: >-
                                  timestamp when the template channel content
                                  was last updated
                              updated_by:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    description: >-
                                      team member name who last updated the
                                      content
                                  email:
                                    type: string
                                    description: >-
                                      email of the team member who last updated
                                      the content
                                    example: user@example.com
                              approval_cycle:
                                type: string
                                nullable: true
                                description: approval cycle information
                                example: null
                              is_approval_needed:
                                type: boolean
                                description: whether approval is needed for this template
                                example: false
                              is_cloned_from_last_version:
                                type: boolean
                                description: >-
                                  whether this template was cloned from the last
                                  version
                                example: false
                        status:
                          type: string
                          description: version status (active, draft, archived)
                          example: active
                        version_tag:
                          type: string
                          description: version number
                        created_at:
                          type: string
                          format: date-time
                          example: '2023-01-25T04:53:40.016463Z'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2023-01-25T04:53:40.083969Z'
                        updated_by:
                          type: object
                          description: >-
                            team member details who last updated the content for
                            the channel
                        version_tag_user:
                          type: string
                          description: version name added on publish
                        published_languages:
                          type: array
                          description: languages last published in the channel
                          items:
                            type: string
                          examples:
                            english:
                              summary: English language
                              value: en
                        apparent_published_languages:
                          type: array
                          description: languages that appear to be published in the channel
                          items:
                            type: string
                          example:
                            - en
                        system_approval_info:
                          type: object
                          description: system approval information for the template
                          example: {}
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    type: DoesNotExist
                    message: TemplateGroup matching query does not exist.
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: error code
                  type:
                    type: string
                    description: error type
                  message:
                    type: string
                    description: error message giving reason of the failure
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````